<html>
<head>
<title>Ogre::D3D9ResourceManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D9ResourceManager.html">D3D9ResourceManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::D3D9ResourceManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::D3D9ResourceManager" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p><code>#include &lt;<a class="el" href="OgreD3D9ResourceManager_8h_source.html">OgreD3D9ResourceManager.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::D3D9ResourceManager:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1D3D9ResourceManager__inherit__graph.gif" border="0" usemap="#Ogre_1_1D3D9ResourceManager_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1D3D9ResourceManager_inherit__map" id="Ogre_1_1D3D9ResourceManager_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="51,5,157,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1D3D9ResourceManager-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#aca7e782d7860488f1888191a0b92e9cc">notifyOnDeviceCreate</a> (IDirect3DDevice9 *d3d9Device)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a9774eeae04c96fe13a03cc506994ac41">notifyOnDeviceDestroy</a> (IDirect3DDevice9 *d3d9Device)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a26706090b10f684168297c3515f5351a">notifyOnDeviceLost</a> (IDirect3DDevice9 *d3d9Device)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a950f06f9f5d606cdd239cb0f91caec5a">notifyOnDeviceReset</a> (IDirect3DDevice9 *d3d9Device)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#abf59ec939708ee86f69c49d8794e79f9">lockDeviceAccess</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a184caf162ee33abbfb146e82dcf92cf3">unlockDeviceAccess</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a2e5c4329b1c7abf2af86ca8e7040f218">D3D9ResourceManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a6217a2bec646ee530dcc0ae3959c3376">~D3D9ResourceManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a3b1885e4e9612f799ac4cacc72bd8df1">setCreationPolicy</a> (<a class="el" href="namespaceOgre.html#ae1989b3ea4f950a490576b517adfa511">D3D9ResourceCreationPolicy</a> creationPolicy)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#ae1989b3ea4f950a490576b517adfa511">D3D9ResourceCreationPolicy</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a887a9ea51d743c01d36c24984b85fc50">getCreationPolicy</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#af7a4c337ea668020cccefb5aac5d2daa">setAutoHardwareBufferManagement</a> (bool autoManagement)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set/Get automatic hardware buffers management.  <a href="#af7a4c337ea668020cccefb5aac5d2daa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#ad59ab6f081f1dbb63e3daf2533fad838">getAutoHardwareBufferManagement</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1set.html">set</a>&lt; <a class="el" href="classOgre_1_1D3D9Resource.html">D3D9Resource</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a03f7f69f3f1d9efa6376137cdbd79ec8">ResourceContainer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef ResourceContainer::iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a80fc7bfc7242abc5cbe357e7c3369cbc">ResourceContainerIterator</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a3f9cb8a5e40e238006d6eecd39f59642">_notifyResourceCreated</a> (<a class="el" href="classOgre_1_1D3D9Resource.html">D3D9Resource</a> *pResource)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a6ad080e9f9d8268bc81dc029229de4c4">_notifyResourceDestroyed</a> (<a class="el" href="classOgre_1_1D3D9Resource.html">D3D9Resource</a> *pResource)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a03f7f69f3f1d9efa6376137cdbd79ec8">ResourceContainer</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a9dd1abc77165d31c56ec3f4ae00faee2">mResources</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#ae1989b3ea4f950a490576b517adfa511">D3D9ResourceCreationPolicy</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a2a920ae068bca08e6483abab5b00b8a6">mResourceCreationPolicy</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a20af3ca34ee7e604bb0af79a0dbf6d43">mDeviceAccessLockCount</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a9072807b503fe0fffd90f7c5db97ea0f">mAutoHardwareBufferManagement</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#ae4ca441097e4ad0ec1ff504041285152">D3D9Resource</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreD3D9ResourceManager_8h_source.html#l00053">53</a> of file <a class="el" href="OgreD3D9ResourceManager_8h_source.html">OgreD3D9ResourceManager.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a03f7f69f3f1d9efa6376137cdbd79ec8"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::ResourceContainer" ref="a03f7f69f3f1d9efa6376137cdbd79ec8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1set.html">set</a>&lt;<a class="el" href="classOgre_1_1D3D9Resource.html">D3D9Resource</a>*&gt;::type <a class="el" href="classOgre_1_1D3D9ResourceManager.html#a03f7f69f3f1d9efa6376137cdbd79ec8">Ogre::D3D9ResourceManager::ResourceContainer</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9ResourceManager_8h_source.html#l00101">101</a> of file <a class="el" href="OgreD3D9ResourceManager_8h_source.html">OgreD3D9ResourceManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a80fc7bfc7242abc5cbe357e7c3369cbc"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::ResourceContainerIterator" ref="a80fc7bfc7242abc5cbe357e7c3369cbc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef ResourceContainer::iterator <a class="el" href="classOgre_1_1D3D9ResourceManager.html#a80fc7bfc7242abc5cbe357e7c3369cbc">Ogre::D3D9ResourceManager::ResourceContainerIterator</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9ResourceManager_8h_source.html#l00102">102</a> of file <a class="el" href="OgreD3D9ResourceManager_8h_source.html">OgreD3D9ResourceManager.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a2e5c4329b1c7abf2af86ca8e7040f218"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::D3D9ResourceManager" ref="a2e5c4329b1c7abf2af86ca8e7040f218" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a2e5c4329b1c7abf2af86ca8e7040f218">Ogre::D3D9ResourceManager::D3D9ResourceManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a6217a2bec646ee530dcc0ae3959c3376"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::~D3D9ResourceManager" ref="a6217a2bec646ee530dcc0ae3959c3376" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a6217a2bec646ee530dcc0ae3959c3376">Ogre::D3D9ResourceManager::~D3D9ResourceManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a3f9cb8a5e40e238006d6eecd39f59642"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::_notifyResourceCreated" ref="a3f9cb8a5e40e238006d6eecd39f59642" args="(D3D9Resource *pResource)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9ResourceManager.html#a3f9cb8a5e40e238006d6eecd39f59642">Ogre::D3D9ResourceManager::_notifyResourceCreated</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9Resource.html">D3D9Resource</a> *&#160;</td>
          <td class="paramname"><em>pResource</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a6ad080e9f9d8268bc81dc029229de4c4"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::_notifyResourceDestroyed" ref="a6ad080e9f9d8268bc81dc029229de4c4" args="(D3D9Resource *pResource)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9ResourceManager.html#a6ad080e9f9d8268bc81dc029229de4c4">Ogre::D3D9ResourceManager::_notifyResourceDestroyed</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D9Resource.html">D3D9Resource</a> *&#160;</td>
          <td class="paramname"><em>pResource</em></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad59ab6f081f1dbb63e3daf2533fad838"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::getAutoHardwareBufferManagement" ref="ad59ab6f081f1dbb63e3daf2533fad838" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1D3D9ResourceManager.html#ad59ab6f081f1dbb63e3daf2533fad838">Ogre::D3D9ResourceManager::getAutoHardwareBufferManagement</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9ResourceManager_8h_source.html#l00093">93</a> of file <a class="el" href="OgreD3D9ResourceManager_8h_source.html">OgreD3D9ResourceManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a887a9ea51d743c01d36c24984b85fc50"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::getCreationPolicy" ref="a887a9ea51d743c01d36c24984b85fc50" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#ae1989b3ea4f950a490576b517adfa511">D3D9ResourceCreationPolicy</a> <a class="el" href="classOgre_1_1D3D9ResourceManager.html#a887a9ea51d743c01d36c24984b85fc50">Ogre::D3D9ResourceManager::getCreationPolicy</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="abf59ec939708ee86f69c49d8794e79f9"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::lockDeviceAccess" ref="abf59ec939708ee86f69c49d8794e79f9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9ResourceManager.html#abf59ec939708ee86f69c49d8794e79f9">Ogre::D3D9ResourceManager::lockDeviceAccess</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aca7e782d7860488f1888191a0b92e9cc"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::notifyOnDeviceCreate" ref="aca7e782d7860488f1888191a0b92e9cc" args="(IDirect3DDevice9 *d3d9Device)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9ResourceManager.html#aca7e782d7860488f1888191a0b92e9cc">Ogre::D3D9ResourceManager::notifyOnDeviceCreate</a> </td>
          <td>(</td>
          <td class="paramtype">IDirect3DDevice9 *&#160;</td>
          <td class="paramname"><em>d3d9Device</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a9774eeae04c96fe13a03cc506994ac41"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::notifyOnDeviceDestroy" ref="a9774eeae04c96fe13a03cc506994ac41" args="(IDirect3DDevice9 *d3d9Device)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9ResourceManager.html#a9774eeae04c96fe13a03cc506994ac41">Ogre::D3D9ResourceManager::notifyOnDeviceDestroy</a> </td>
          <td>(</td>
          <td class="paramtype">IDirect3DDevice9 *&#160;</td>
          <td class="paramname"><em>d3d9Device</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a26706090b10f684168297c3515f5351a"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::notifyOnDeviceLost" ref="a26706090b10f684168297c3515f5351a" args="(IDirect3DDevice9 *d3d9Device)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9ResourceManager.html#a26706090b10f684168297c3515f5351a">Ogre::D3D9ResourceManager::notifyOnDeviceLost</a> </td>
          <td>(</td>
          <td class="paramtype">IDirect3DDevice9 *&#160;</td>
          <td class="paramname"><em>d3d9Device</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a950f06f9f5d606cdd239cb0f91caec5a"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::notifyOnDeviceReset" ref="a950f06f9f5d606cdd239cb0f91caec5a" args="(IDirect3DDevice9 *d3d9Device)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9ResourceManager.html#a950f06f9f5d606cdd239cb0f91caec5a">Ogre::D3D9ResourceManager::notifyOnDeviceReset</a> </td>
          <td>(</td>
          <td class="paramtype">IDirect3DDevice9 *&#160;</td>
          <td class="paramname"><em>d3d9Device</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="af7a4c337ea668020cccefb5aac5d2daa"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::setAutoHardwareBufferManagement" ref="af7a4c337ea668020cccefb5aac5d2daa" args="(bool autoManagement)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9ResourceManager.html#af7a4c337ea668020cccefb5aac5d2daa">Ogre::D3D9ResourceManager::setAutoHardwareBufferManagement</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>autoManagement</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set/Get automatic hardware buffers management. </p>
<p>This has affect only when multiple devices involved during the runtime. When enabled, an explicit system memory backup is created for buffers with no read caps - so in case of device swaps the content of the buffers can be restored from this copy. The default is false in order to reduce system memory consumption. </p>

<p>Definition at line <a class="el" href="OgreD3D9ResourceManager_8h_source.html#l00092">92</a> of file <a class="el" href="OgreD3D9ResourceManager_8h_source.html">OgreD3D9ResourceManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3b1885e4e9612f799ac4cacc72bd8df1"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::setCreationPolicy" ref="a3b1885e4e9612f799ac4cacc72bd8df1" args="(D3D9ResourceCreationPolicy creationPolicy)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9ResourceManager.html#a3b1885e4e9612f799ac4cacc72bd8df1">Ogre::D3D9ResourceManager::setCreationPolicy</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ae1989b3ea4f950a490576b517adfa511">D3D9ResourceCreationPolicy</a>&#160;</td>
          <td class="paramname"><em>creationPolicy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a184caf162ee33abbfb146e82dcf92cf3"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::unlockDeviceAccess" ref="a184caf162ee33abbfb146e82dcf92cf3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1D3D9ResourceManager.html#a184caf162ee33abbfb146e82dcf92cf3">Ogre::D3D9ResourceManager::unlockDeviceAccess</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="ae4ca441097e4ad0ec1ff504041285152"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::D3D9Resource" ref="ae4ca441097e4ad0ec1ff504041285152" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classOgre_1_1D3D9Resource.html">D3D9Resource</a><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9ResourceManager_8h_source.html#l00097">97</a> of file <a class="el" href="OgreD3D9ResourceManager_8h_source.html">OgreD3D9ResourceManager.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a9072807b503fe0fffd90f7c5db97ea0f"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::mAutoHardwareBufferManagement" ref="a9072807b503fe0fffd90f7c5db97ea0f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1D3D9ResourceManager.html#a9072807b503fe0fffd90f7c5db97ea0f">Ogre::D3D9ResourceManager::mAutoHardwareBufferManagement</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9ResourceManager_8h_source.html#l00120">120</a> of file <a class="el" href="OgreD3D9ResourceManager_8h_source.html">OgreD3D9ResourceManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a20af3ca34ee7e604bb0af79a0dbf6d43"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::mDeviceAccessLockCount" ref="a20af3ca34ee7e604bb0af79a0dbf6d43" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">long <a class="el" href="classOgre_1_1D3D9ResourceManager.html#a20af3ca34ee7e604bb0af79a0dbf6d43">Ogre::D3D9ResourceManager::mDeviceAccessLockCount</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9ResourceManager_8h_source.html#l00119">119</a> of file <a class="el" href="OgreD3D9ResourceManager_8h_source.html">OgreD3D9ResourceManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2a920ae068bca08e6483abab5b00b8a6"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::mResourceCreationPolicy" ref="a2a920ae068bca08e6483abab5b00b8a6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#ae1989b3ea4f950a490576b517adfa511">D3D9ResourceCreationPolicy</a> <a class="el" href="classOgre_1_1D3D9ResourceManager.html#a2a920ae068bca08e6483abab5b00b8a6">Ogre::D3D9ResourceManager::mResourceCreationPolicy</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9ResourceManager_8h_source.html#l00118">118</a> of file <a class="el" href="OgreD3D9ResourceManager_8h_source.html">OgreD3D9ResourceManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9dd1abc77165d31c56ec3f4ae00faee2"></a><!-- doxytag: member="Ogre::D3D9ResourceManager::mResources" ref="a9dd1abc77165d31c56ec3f4ae00faee2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D9ResourceManager.html#a03f7f69f3f1d9efa6376137cdbd79ec8">ResourceContainer</a> <a class="el" href="classOgre_1_1D3D9ResourceManager.html#a9dd1abc77165d31c56ec3f4ae00faee2">Ogre::D3D9ResourceManager::mResources</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D9ResourceManager_8h_source.html#l00117">117</a> of file <a class="el" href="OgreD3D9ResourceManager_8h_source.html">OgreD3D9ResourceManager.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreD3D9ResourceManager_8h_source.html">OgreD3D9ResourceManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:17
</p>
</body>
</html>
